AM263Px MCU+ SDK: ECC Bus Safety Functions

| AM263Px MCU+ SDK 26.00.00 |

Functions
ECC Bus Safety Functions
APIs for SDL Module » APIs for SDL ECC BUS SAFETY » API's for Ecc Bus Safety on MSS and DSS

## Introduction

## Functions
int32_t | SDL_ECC_BUS_SAFETY_DSS_secExecute (uint32_t busSftyNode, uint32_t addr, uint32_t wr_data)
| This API is used for SEC test on DSS. More...
int32_t | SDL_ECC_BUS_SAFETY_DSS_dedExecute (uint32_t busSftyNode, uint32_t addr, uint32_t wr_data)
| This API is used for DED test on DSS. More...
int32_t | SDL_ECC_BUS_SAFETY_DSS_redExecute (uint32_t busSftyNode, SDL_ECC_BUS_SAFETY_busSftyFiType fiType, SDL_ECC_BUS_SAFETY_busSftyFiRedType redType)
| This API is used for RED test on DSS. More...
int32_t | SDL_ECC_BUS_SAFETY_DSS_secErrorClear (uint32_t busSftyNode)
| This API is used to clear SEC error on DSS. More...
int32_t | SDL_ECC_BUS_SAFETY_DSS_getSecErrorStatus (uint32_t busSftyNode, uint32_t *status)
| This API is used to get SEC error Status on DSS. More...
int32_t | SDL_ECC_BUS_SAFETY_DSS_dedErrorClear (uint32_t busSftyNode)
| This API is used to clear DED error on DSS. More...
int32_t | SDL_ECC_BUS_SAFETY_DSS_getDedErrorStatus (uint32_t busSftyNode, uint32_t *status)
| This API is used to get DED error Status on DSS. More...
int32_t | SDL_ECC_BUS_SAFETY_DSS_redErrorClear (uint32_t busSftyNode)
| This API is used to clear RED error on DSS. More...
int32_t | SDL_ECC_BUS_SAFETY_DSS_getRedErrorStatus (uint32_t busSftyNode, uint32_t *status)
| This API is used to get RED error Status on DSS. More...
int32_t | SDL_ECC_BUS_SAFETY_DSS_readStaticRegs (uint32_t busSftyNode, SDL_ECC_BUS_SAFETY_staticRegs *pStaticRegs)
| This API is used to get DSS static register values. More...
int32_t | SDL_ECC_BUS_SAFETY_MSS_secExecute (uint32_t busSftyNode, uint32_t addr, uint32_t wr_data)
| This API is used for SEC test on MSS. More...
int32_t | SDL_ECC_BUS_SAFETY_MSS_dedExecute (uint32_t busSftyNode, uint32_t addr, uint32_t wr_data)
| This API is used for DED test on MSS. More...
int32_t | SDL_ECC_BUS_SAFETY_MSS_redExecute (uint32_t busSftyNode, SDL_ECC_BUS_SAFETY_busSftyFiType fiType, SDL_ECC_BUS_SAFETY_busSftyFiRedType redType)
| This API is used for RED test on MSS. More...
int32_t | SDL_ECC_BUS_SAFETY_MSS_secErrorClear (uint32_t busSftyNode)
| This API is used to clear SEC error on MSS. More...
int32_t | SDL_ECC_BUS_SAFETY_MSS_getSecErrorStatus (uint32_t busSftyNode, uint32_t *status)
| This API is used to get SEC error Status on MSS. More...
int32_t | SDL_ECC_BUS_SAFETY_MSS_dedErrorClear (uint32_t busSftyNode)
| This API is used to clear DED error on MSS. More...
int32_t | SDL_ECC_BUS_SAFETY_MSS_getDedErrorStatus (uint32_t busSftyNode, uint32_t *status)
| This API is used to get DED error Status on MSS. More...
int32_t | SDL_ECC_BUS_SAFETY_MSS_redErrorClear (uint32_t busSftyNode)
| This API is used to clear RED error on MSS. More...
int32_t | SDL_ECC_BUS_SAFETY_MSS_getRedErrorStatus (uint32_t busSftyNode, uint32_t *status)
| This API is used to get RED error Status on MSS. More...
int32_t | SDL_ECC_BUS_SAFETY_MSS_readStaticRegs (uint32_t busSftyNode, SDL_ECC_BUS_SAFETY_staticRegs *pStaticRegs)
| This API is used to get MSS static register values. More...
uint32_t | SDL_ECC_BUS_SAFETY_DSS_AWR2944_AWR2943_Detect (void)
| This API is used to detect the device AWR2944/ Awr2943. More...

## Function Documentation

## ◆ SDL_ECC_BUS_SAFETY_DSS_secExecute()

int32_t SDL_ECC_BUS_SAFETY_DSS_secExecute | ( | uint32_t | busSftyNode,
|  | uint32_t | addr,
|  | uint32_t | wr_data
| ) |  |

This API is used for SEC test on DSS.

Parameters

  busSftyNode | Node identifier
  addr | address to which data to be written
  wr_data | data to be be written on the address

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_DSS_dedExecute()

int32_t SDL_ECC_BUS_SAFETY_DSS_dedExecute | ( | uint32_t | busSftyNode,
|  | uint32_t | addr,
|  | uint32_t | wr_data
| ) |  |

This API is used for DED test on DSS.

Parameters

  busSftyNode | Node identifier
  addr | address to which data to be written
  wr_data | data to be be written on the address

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_DSS_redExecute()

int32_t SDL_ECC_BUS_SAFETY_DSS_redExecute | ( | uint32_t | busSftyNode,
|  | SDL_ECC_BUS_SAFETY_busSftyFiType | fiType,
|  | SDL_ECC_BUS_SAFETY_busSftyFiRedType | redType
| ) |  |

This API is used for RED test on DSS.

Parameters

  busSftyNode | Node identifier
  fiType | indicates the Fi type
  redType | indicates interface type

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_DSS_secErrorClear()

int32_t SDL_ECC_BUS_SAFETY_DSS_secErrorClear | ( | uint32_t | busSftyNode | ) |

This API is used to clear SEC error on DSS.

Parameters

  busSftyNode | Node identifier

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_DSS_getSecErrorStatus()

int32_t SDL_ECC_BUS_SAFETY_DSS_getSecErrorStatus | ( | uint32_t | busSftyNode,
|  | uint32_t * | status
| ) |  |

This API is used to get SEC error Status on DSS.

Parameters

  busSftyNode | Node identifier
  status | pointer to which status to be updated

Returns
  status return the Test status. SDL_PASS: success

## ◆ SDL_ECC_BUS_SAFETY_DSS_dedErrorClear()

int32_t SDL_ECC_BUS_SAFETY_DSS_dedErrorClear | ( | uint32_t | busSftyNode | ) |

This API is used to clear DED error on DSS.

Parameters

  busSftyNode | Node identifier

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_DSS_getDedErrorStatus()

int32_t SDL_ECC_BUS_SAFETY_DSS_getDedErrorStatus | ( | uint32_t | busSftyNode,
|  | uint32_t * | status
| ) |  |

This API is used to get DED error Status on DSS.

Parameters

  busSftyNode | Node identifier
  status | pointer to which status to be updated

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_DSS_redErrorClear()

int32_t SDL_ECC_BUS_SAFETY_DSS_redErrorClear | ( | uint32_t | busSftyNode | ) |

This API is used to clear RED error on DSS.

Parameters

  busSftyNode | Node identifier

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments SDL_EFAIL: failure, indicate verify failed

## ◆ SDL_ECC_BUS_SAFETY_DSS_getRedErrorStatus()

int32_t SDL_ECC_BUS_SAFETY_DSS_getRedErrorStatus | ( | uint32_t | busSftyNode,
|  | uint32_t * | status
| ) |  |

This API is used to get RED error Status on DSS.

Parameters

  busSftyNode | Node identifier
  status | pointer to which status to be updated

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_DSS_readStaticRegs()

int32_t SDL_ECC_BUS_SAFETY_DSS_readStaticRegs | ( | uint32_t | busSftyNode,
|  | SDL_ECC_BUS_SAFETY_staticRegs * | pStaticRegs
| ) |  |

This API is used to get DSS static register values.

Parameters

  busSftyNode | Node identifier
  pStaticRegs | pointer to staic register

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_MSS_secExecute()

int32_t SDL_ECC_BUS_SAFETY_MSS_secExecute | ( | uint32_t | busSftyNode,
|  | uint32_t | addr,
|  | uint32_t | wr_data
| ) |  |

This API is used for SEC test on MSS.

Parameters

  busSftyNode | Node identifier
  addr | address to which data to be written
  wr_data | data to be be written on the address

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_MSS_dedExecute()

int32_t SDL_ECC_BUS_SAFETY_MSS_dedExecute | ( | uint32_t | busSftyNode,
|  | uint32_t | addr,
|  | uint32_t | wr_data
| ) |  |

This API is used for DED test on MSS.

Parameters

  busSftyNode | Node identifier
  addr | address to which data to be written
  wr_data | data to be be written on the address

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_MSS_redExecute()

int32_t SDL_ECC_BUS_SAFETY_MSS_redExecute | ( | uint32_t | busSftyNode,
|  | SDL_ECC_BUS_SAFETY_busSftyFiType | fiType,
|  | SDL_ECC_BUS_SAFETY_busSftyFiRedType | redType
| ) |  |

This API is used for RED test on MSS.

Parameters

  busSftyNode | Node identifier
  fiType | indicates the Fi type
  redType | indicates interface type

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_MSS_secErrorClear()

int32_t SDL_ECC_BUS_SAFETY_MSS_secErrorClear | ( | uint32_t | busSftyNode | ) |

This API is used to clear SEC error on MSS.

Parameters

  busSftyNode | Node identifier

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_MSS_getSecErrorStatus()

int32_t SDL_ECC_BUS_SAFETY_MSS_getSecErrorStatus | ( | uint32_t | busSftyNode,
|  | uint32_t * | status
| ) |  |

This API is used to get SEC error Status on MSS.

Parameters

  busSftyNode | Node identifier
  status | pointer to which status to be updated

Returns
  status return the Test status. SDL_PASS: success

## ◆ SDL_ECC_BUS_SAFETY_MSS_dedErrorClear()

int32_t SDL_ECC_BUS_SAFETY_MSS_dedErrorClear | ( | uint32_t | busSftyNode | ) |

This API is used to clear DED error on MSS.

Parameters

  busSftyNode | Node identifier

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_MSS_getDedErrorStatus()

int32_t SDL_ECC_BUS_SAFETY_MSS_getDedErrorStatus | ( | uint32_t | busSftyNode,
|  | uint32_t * | status
| ) |  |

This API is used to get DED error Status on MSS.

Parameters

  busSftyNode | Node identifier
  status | pointer to which status to be updated

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_MSS_redErrorClear()

int32_t SDL_ECC_BUS_SAFETY_MSS_redErrorClear | ( | uint32_t | busSftyNode | ) |

This API is used to clear RED error on MSS.

Parameters

  busSftyNode | Node identifier

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments SDL_EFAIL: failure, indicate verify failed

## ◆ SDL_ECC_BUS_SAFETY_MSS_getRedErrorStatus()

int32_t SDL_ECC_BUS_SAFETY_MSS_getRedErrorStatus | ( | uint32_t | busSftyNode,
|  | uint32_t * | status
| ) |  |

This API is used to get RED error Status on MSS.

Parameters

  busSftyNode | Node identifier
  status | pointer to which status to be updated

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_MSS_readStaticRegs()

int32_t SDL_ECC_BUS_SAFETY_MSS_readStaticRegs | ( | uint32_t | busSftyNode,
|  | SDL_ECC_BUS_SAFETY_staticRegs * | pStaticRegs
| ) |  |

This API is used to get MSS static register values.

Parameters

  busSftyNode | Node identifier
  pStaticRegs | pointer to staic register

Returns
  status return the Test status. SDL_PASS: success SDL_EBADARGS: failure, indicate the bad input arguments

## ◆ SDL_ECC_BUS_SAFETY_DSS_AWR2944_AWR2943_Detect()

uint32_t SDL_ECC_BUS_SAFETY_DSS_AWR2944_AWR2943_Detect | ( | void |  | ) |

This API is used to detect the device AWR2944/ Awr2943.

Returns
  status returns status to detect awr2943 or awr2944 soc